Loading...
Searching...
No Matches
gx_jack::GxRtCheck Class Reference

`#include <gx_jack.h>`

## Public Member Functions

bool | run_check ()
| GxRtCheck ()
| ~GxRtCheck ()

## Private Member Functions

bool | set_priority ()
void | run ()

## Private Attributes

std::thread | _thd
std::mutex | m
std::condition_variable | cv
bool | isRT
std::atomic< bool > | _execute

## Detailed Description

Definition at line 51 of file gx_jack.h.

## Constructor & Destructor Documentation

## GxRtCheck()

gx_jack::GxRtCheck::GxRtCheck | ( |  | ) |

## ~GxRtCheck()

gx_jack::GxRtCheck::~GxRtCheck | ( |  | ) |

## Member Function Documentation

## run()

void gx_jack::GxRtCheck::run | ( |  | ) |

private

## run_check()

bool gx_jack::GxRtCheck::run_check | ( |  | ) |

## set_priority()

bool gx_jack::GxRtCheck::set_priority | ( |  | ) |

private

## Member Data Documentation

## _execute

std::atomic<bool> gx_jack::GxRtCheck::_execute

private

Definition at line 57 of file gx_jack.h.

## _thd

std::thread gx_jack::GxRtCheck::_thd

private

Definition at line 53 of file gx_jack.h.

## cv

std::condition_variable gx_jack::GxRtCheck::cv

private

Definition at line 55 of file gx_jack.h.

## isRT

bool gx_jack::GxRtCheck::isRT

private

Definition at line 56 of file gx_jack.h.

## m

std::mutex gx_jack::GxRtCheck::m

private

Definition at line 54 of file gx_jack.h.

The documentation for this class was generated from the following file:

- src/headers/gx_jack.h